MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031873Open CASCADE[OCCT] OCCT:Samplespublic2020-10-22 14:012020-12-02 17:13
Reporterbugmaster 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindows Win32OSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.5.0Fixed in Version[OCCT] 7.5.0 
Summary0031873: Samples, Qt OCCT Overview sample - Problems of compilation and launch in 32 bit mode on Windows
Description1. I were not able to generate projects for VS 2015-2019

2. Compiled sample with VS 2010 32 bit is crashed after launch

QT compiled in 32 bit mode available from:

\\testex\occt-3rdparty\
Steps To ReproduceRun on VS2010 32 bit
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0031876closedbugmaster Configuration - Prs3d_Arrow::DrawShaded() crashes in msvc10 win32 Release build 
child of 0031570closedbugmaster Samples - add Qt samples similar to standard MFC samples 

-  Notes
(0096271)
git (administrator)
2020-10-26 16:32

Branch CR31873 has been created by asuraven.

SHA-1: bdf51dc73ece5a6eba4a16ecc9c6df57bdc6cd28


Detailed log of new commits:

Author: asuraven
Date: Mon Oct 26 16:35:51 2020 +0300

    0031873: Samples, Qt OCCT Overview sample - Problems of compilation and launch in 32 bit mode on Windows
(0096273)
asuraven (developer)
2020-10-26 16:35

Crash on VS 2010 32 bit fixed in CR31876
(0096278)
git (administrator)
2020-10-26 17:41

Branch CR31873 has been updated by asuraven.

SHA-1: 582cd681432af697d1521704d589ccad58ff066a


Detailed log of new commits:

Author: asuraven
Date: Mon Oct 26 17:44:22 2020 +0300

    Samples, Qt OCCT Overview sample - Restore Transparency dialog

(0096279)
kgv (developer)
2020-10-26 17:51

Please check sample manually.
(0096345)
bugmaster (administrator)
2020-10-28 16:58

Combination -
OCCT branch : OCCT-750
master SHA - 5445eaeed56eb279c0ab00af552e614f1bbef9b6
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : OCCT-750 SHA - ebaa925ad092ce36a9743c12e5403ea978cb3417
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17992.300000000254 / 17994.53000000008 [-0.01%]
Products
Total CPU difference: 12161.930000000115 / 12171.670000000115 [-0.08%]
Windows-64-VC14:
OCCT
Total CPU difference: 19710.375 / 19728.265625 [-0.09%]
Products
Total CPU difference: 13569.53125 / 13538.390625 [+0.23%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0096558)
git (administrator)
2020-11-05 15:59

Branch CR31873 has been deleted by inv.

SHA-1: 582cd681432af697d1521704d589ccad58ff066a

- Related Changesets
occt: master 07bc68e8
Timestamp: 2020-10-26 13:35:51
Author: asuraven
Committer: bugmaster
Details ] Diff ]
0031873: Samples, Qt OCCT Overview sample - Problems of compilation and launch in 32 bit mode on Windows
mod - samples/qt/OCCTOverview/src/ApplicationCommon.h Diff ] File ]
mod - samples/qt/OCCTOverview/src/DocumentCommon.h Diff ] File ]
mod - samples/qt/OCCTOverview/src/View.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-10-22 14:01 bugmaster New Issue
2020-10-22 14:01 bugmaster Assigned To => bugmaster
2020-10-22 14:01 bugmaster Assigned To bugmaster => asuraven
2020-10-22 14:01 bugmaster Status new => assigned
2020-10-22 14:50 kgv Summary Sample: QT Overview sample Problems of compilation and launch in 32 bit mode => Samples, Qt OCCT Overview sample - Problems of compilation and launch in 32 bit mode on Windows
2020-10-22 14:51 kgv Product Version 7.4.0 => 7.5.0
2020-10-22 14:51 kgv Relationship added child of 0031570
2020-10-26 16:32 git Note Added: 0096271
2020-10-26 16:33 asuraven Relationship added related to 0031876
2020-10-26 16:35 asuraven Note Added: 0096273
2020-10-26 16:37 asuraven Assigned To asuraven => bugmaster
2020-10-26 16:37 asuraven Status assigned => resolved
2020-10-26 16:37 asuraven Steps to Reproduce Updated View Revisions
2020-10-26 17:41 git Note Added: 0096278
2020-10-26 17:46 asuraven Assigned To bugmaster => kgv
2020-10-26 17:51 kgv Note Added: 0096279
2020-10-26 17:51 kgv Assigned To kgv => bugmaster
2020-10-26 17:51 kgv Status resolved => reviewed
2020-10-28 16:58 bugmaster Note Added: 0096345
2020-10-28 16:58 bugmaster Status reviewed => tested
2020-10-28 17:01 bugmaster Test case number => Not required
2020-10-31 12:54 bugmaster Changeset attached => occt master 07bc68e8
2020-10-31 12:54 bugmaster Status tested => verified
2020-10-31 12:54 bugmaster Resolution open => fixed
2020-11-05 15:59 git Note Added: 0096558
2020-12-02 16:22 emo Fixed in Version => 7.5.0
2020-12-02 17:13 emo Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker